package modify

import (
	"context"
	"git.kumo.work/shama/service/client"
)

type audit struct {
}
type ArgsAuditSubmit struct {
	StaffId       int64   // 操作人
	ModifyId      int64   // 订舱修改单id
	AuditStaffIds []int64 // 审核人
}

// Submit @TITLE 提交审核
func (a *audit) Submit(ctx context.Context, args ArgsAuditSubmit) (err error) {
	xClient, err := client.GetClient(a)
	if err != nil {
		return
	}
	reply := 0
	err = xClient.Call(ctx, "Submit", args, &reply)
	return
}
